{% assign is_post = page.date %}
<!doctype>
<html lang="en">
  <head>
    <meta content='{{ page.title }} | {{ site.title }}' name='title' />
    <meta content='{{ page.title }} | {{ site.title }}' name='og:title' />
    <title>{{ page.title }} | {{ site.title }}</title>
    {% include head.html %}
    {% if page.asciicast %}
    <link rel="stylesheet" type="text/css" href="/libs/asciinema-3.0.1/asciinema-player.css" />
    {% endif %}
  </head>
  <body class="lh-copy dark-gray pa0 f6 sans-serif bg-super-white">
    <header class="tc mt4">
      <a href="{{ site.url }}">
        <img src="{{ site.url }}/images/me.png" alt="Home" style="max-width: 6rem">
      </a>
      <h2>{{ site.title }}</h2>
    </header>
    <div class="mw7 bg-white mt4 mb3 center br2-ns bt bb ba-ns b--light-gray">
      <nav class="bb b--light-gray pv3 tc" aria-label="Main">
        {% for link in site.links %}
          <a class="button"
             href="{{ site.url }}{{ link.url }}">{{ link.name }}</a>
        {% endfor %}
      </nav>

      <main class="tl f6 relative pa4 pa5-ns overflow-hidden">
        {% if page.title %}
          <div class="mb4 cf">
            {% if page.date %}<div class="fw600 light-silver mt1">{{ page.date | date_to_string }}</div>{% endif %}
            <h1 class="f3 mt0 lh-title cb mb2">
              {{ page.title }}
            </h1>

	    {% if page.after_title %}
	    {% include {{ page.after_title }} %}
	    {% endif %}

	    {% if is_post and page.tags.first %}
	    <span class="fl ma0 pv0">
	    Tags: {% for tag in page.tags %}<a class="link blue hover-mid-gray" href="{{ site.url }}/tags/{{ tag }}">{{ tag }}</a>{% unless forloop.last %}, {% endunless %}{% endfor %}
	    </span>
	    {% endif %}
            {% if is_post and site.share %}
	      {% if is_post and page.tags.first %}
	      <span class="fr">
	      {% else %}
	      <span class="lr">
	      {% endif %}
	      {% include sharing.html %}
	    </span>
	    {% endif %}
          </div>
        {% endif %}
        <div class="markdown-body">
          {{ content }}
        </div>
        {% if is_post %}{% include signoff.html %}{% endif %}
      </main>
      {% if is_post %}{% include pagination.html %}{% endif %}
    </div>
    <footer class="mw7 center tc pt3 pb4 silver">
      <a class="link blue" href="{% link feed.xml %}">RSS Feed</a>.
      The source of this site is available <a class="link blue" href="https://gitlab.com/ach.lumap/achuluma.gitlab.io">here</a>.<br>
      Built with Jekyll using <a href="http://github.com/muan/scribble" class="link blue">Scribble</a>.
    </footer>
    {% if page.asciicast %}
    <script src="/libs/asciinema-3.0.1/asciinema-player.min.js"></script>
    <script>
      document.querySelectorAll(".asciicast-target").forEach(function (item, _) {
	  AsciinemaPlayer.create(`/assets/asciicast/${item.getAttribute("data-fname")}.cast`, item);
      });
    </script>
    {% endif %}
  </body>
</html>
